Skip to main content
GET
/
agents
/
{agentId}
/
variables
Get Agent Variables
curl --request GET \
  --url https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/variables \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "in": "<string>",
      "type": "string",
      "value": "<unknown>",
      "defaultValue": "<unknown>",
      "key": "<string>",
      "description": "<string>",
      "required": true,
      "reusable": true,
      "isEnv": true,
      "isSystem": true,
      "isGlobal": true,
      "agentId": "<string>",
      "userId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt

Use this file to discover all available pages before exploring further.

Returns all variables associated with the specified agent including their current values.
Use the variable id to reference variables in agent instructions with the syntax {{var:variable_id}}.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required

Response

Successful response

success
boolean
required
message
string
required
data
object[]
required